package Torus::Map::Outlook;

use strict;
use warnings;

sub new {
  my $invocant = shift;
  my $class = ref($invocant) || $invocant;
  #bless $self, "BizWorks::SatelliteMapping";
  my $self = { @_ };
  bless $self, $class;
  return $self;
}


sub ContactItem {
  return {
    target => 'Adressen',
    source_ident => 'storage_method:id',
    target_ident => 'property:rid',
    details => [
      [ 'source:ckey' => 'target:rkey' ],
      [ 'source:cname' => 'target:rval' ],
    ],
  };
}

1;
